org.yaml.snakeyaml.reader

## Class ReaderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.yaml.snakeyaml.error.YAMLException
        - - org.yaml.snakeyaml.reader.ReaderException

All Implemented Interfaces:
  Serializable

    public class ReaderException
    extends YAMLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReaderException(String name, int position, int codePoint, String message)`

### Method Summary

Methods
`int` `getCodePoint()`
`String` `getName()`
`int` `getPosition()`
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReaderException

    public ReaderException(String name,
                   int position,
                   int codePoint,
                   String message)

### Method Detail

#### getName

    public String getName()

#### getCodePoint

    public int getCodePoint()

#### getPosition

    public int getPosition()

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`